Package com.independentsoft.office.odf.styles

# Class DecimalNumber

java.lang.Object
com.independentsoft.office.odf.styles.Number
com.independentsoft.office.odf.styles.DecimalNumber

public class DecimalNumber extends Number
Represents the decimal number.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecimalNumber()`
  Initializes a new instance of the DecimalNumber class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DecimalNumber`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getDecimalPlaces()`
  Gets the number of decimal places to display.
  `String`
  `getDecimalReplacement()`
  Gets the replacement text for decimal places if a number style specifies that decimal places are used but the number displayed is an integer.
  `double`
  `getDisplayFactor()`
  Gets the factor by which each number is scaled (divided) before displaying.
  `List<NumberEmbeddedText>`
  `getEmbeddedTexts()`
  Contains a collection of NumberEmbeddedText objects.
  `int`
  `getMinIntegerDigits()`
  Gets the minimum number of integer digits to display in a number, a scientific number, or a fraction.
  `boolean`
  `isGrouping()`
  Specifies whether the integer digits of a number should be grouped using a separator character.
  `void`
  `setDecimalPlaces​(int decimalPlaces)`
  Sets the number of decimal places to display.
  `void`
  `setDecimalReplacement​(String decimalReplacement)`
  Sets the replacement text for decimal places if a number style specifies that decimal places are used but the number displayed is an integer.
  `void`
  `setDisplayFactor​(double displayFactor)`
  Sets the factor by which each number is scaled (divided) before displaying.
  `void`
  `setGrouping​(boolean grouping)`
  Specifies whether the integer digits of a number should be grouped using a separator character.
  `void`
  `setMinIntegerDigits​(int minIntegerDigits)`
  Sets the minimum number of integer digits to display in a number, a scientific number, or a fraction.
  `String`
  `toString()`
  Converts the value of the current DecimalNumber object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DecimalNumber

    public DecimalNumber()
    Initializes a new instance of the DecimalNumber class.

- ## Method Details

  - ### clone

    public DecimalNumber clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `Number`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DecimalNumber object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getDecimalReplacement

    public String getDecimalReplacement()
    Gets the replacement text for decimal places if a number style specifies that decimal places are used but the number displayed is an integer.
    Returns:
      the decimal replacement

  - ### setDecimalReplacement

    public void setDecimalReplacement​(String decimalReplacement)
    Sets the replacement text for decimal places if a number style specifies that decimal places are used but the number displayed is an integer.
    Parameters:
      `decimalReplacement` - the new decimal replacement

  - ### getDecimalPlaces

    public int getDecimalPlaces()
    Gets the number of decimal places to display.
    Returns:
      the decimal places

  - ### setDecimalPlaces

    public void setDecimalPlaces​(int decimalPlaces)
    Sets the number of decimal places to display.
    Parameters:
      `decimalPlaces` - the new decimal places

  - ### getMinIntegerDigits

    public int getMinIntegerDigits()
    Gets the minimum number of integer digits to display in a number, a scientific number, or a fraction.
    Returns:
      the min integer digits

  - ### setMinIntegerDigits

    public void setMinIntegerDigits​(int minIntegerDigits)
    Sets the minimum number of integer digits to display in a number, a scientific number, or a fraction.
    Parameters:
      `minIntegerDigits` - the new min integer digits

  - ### getDisplayFactor

    public double getDisplayFactor()
    Gets the factor by which each number is scaled (divided) before displaying.
    Returns:
      the display factor

  - ### setDisplayFactor

    public void setDisplayFactor​(double displayFactor)
    Sets the factor by which each number is scaled (divided) before displaying.
    Parameters:
      `displayFactor` - the new display factor

  - ### isGrouping

    public boolean isGrouping()
    Specifies whether the integer digits of a number should be grouped using a separator character.
    Returns:
      true, if is grouping

  - ### setGrouping

    public void setGrouping​(boolean grouping)
    Specifies whether the integer digits of a number should be grouped using a separator character.
    Parameters:
      `grouping` - the new grouping

  - ### getEmbeddedTexts

    public List<NumberEmbeddedText> getEmbeddedTexts()
    Contains a collection of NumberEmbeddedText objects.
    Returns:
      the embedded texts